Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.raster.stamped
Class StampedRasterImageSupport

    java.lang.Object
      |
      +--com.sun.jimi.core.raster.stamped.StampedRasterImageSupport

Direct Known Subclasses:
  StampedByteRasterImage, StampedIntRasterImage

public abstract class StampedRasterImageSupport
extends java.lang.Object
implements MutableJimiRasterImage

Base class for image-stamping wrappers.

Field Summary
`protected boolean` | `error`
`protected static int` | `ERROR_SET`
`protected int` | `horizStamps`
`protected static int` | `imageIndex`
`protected static int` | `nextError`
`protected static java.util.Random` | `random`
`protected int` | `stampAreaHeight`
`protected int` | `stampAreaWidth`
`protected int` | `stampheight`
`protected int` | `stampwidth`
`protected int` | `stampx`
`protected int` | `stampy`
`protected int` | `vertStamps`
`protected MutableJimiRasterImage` | `wrappedImage`

Constructor Summary
`protected` | `StampedRasterImageSupport(MutableJimiRasterImage image)`

Method Summary
`byte[]` | `asByteArray()`
`int[]` | `asIntArray()`
`protected static boolean` | `decideError()`
`void` | `getChannelRectangle(int channel, int x, int y, int width, int height, byte[] buffer, int offset, int scansize)`
`java.awt.image.ColorModel` | `getColorModel()`
`java.awt.image.ImageProducer` | `getCroppedImageProducer(int x, int y, int w, int h)`
`JimiImageFactory` | `getFactory()`
`int` | `getHeight()`
`java.awt.image.ImageProducer` | `getImageProducer()`
`FormatOptionSet` | `getOptions()`
`int` | `getPixelRGB(int x, int y)`
`java.util.Hashtable` | `getProperties()`
`void` | `getRectangleARGBChannels(int x, int y, int width, int height, byte[] buffer, int offset, int scansize)`
`void` | `getRectangleRGB(int x, int y, int width, int height, int[] buffer, int offset, int scansize)`
`void` | `getRectangleRGBAChannels(int x, int y, int width, int height, byte[] buffer, int offset, int scansize)`
`void` | `getRectangleRGBChannels(int x, int y, int width, int height, byte[] buffer, int offset, int scansize)`
`void` | `getRowRGB(int y, int[] buffer, int offset)`
`int` | `getWidth()`
`boolean` | `isError()`
`boolean` | `mustWaitForOptions()`
`void` | `setDecodingController(JimiDecodingController controller)`
`void` | `setError()`
`void` | `setFinished()`
`void` | `setImageConsumerHints(int hints)`
`void` | `setOptions(FormatOptionSet options)`
`void` | `setWaitForOptions(boolean wait)`
`void` | `waitFinished()`
`void` | `waitInfoAvailable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### wrappedImage

    protected MutableJimiRasterImage wrappedImage

### stampx

    protected int stampx

### stampy

    protected int stampy

### stampwidth

    protected int stampwidth

### stampheight

    protected int stampheight

### stampAreaWidth

    protected int stampAreaWidth

### stampAreaHeight

    protected int stampAreaHeight

### horizStamps

    protected int horizStamps

### vertStamps

    protected int vertStamps

### imageIndex

    protected static int imageIndex

### nextError

    protected static int nextError

### ERROR_SET

    protected static final int ERROR_SET

### error

    protected boolean error

### random

    protected static java.util.Random random

Constructor Detail

### StampedRasterImageSupport

    protected StampedRasterImageSupport(MutableJimiRasterImage image)

Method Detail

### getProperties

    public java.util.Hashtable getProperties()

### decideError

    protected static boolean decideError()

### getImageProducer

    public java.awt.image.ImageProducer getImageProducer()

### getCroppedImageProducer

    public java.awt.image.ImageProducer getCroppedImageProducer(int x,
                                                                int y,
                                                                int w,
                                                                int h)

### isError

    public boolean isError()

### waitFinished

    public void waitFinished()

### getFactory

    public JimiImageFactory getFactory()

### waitInfoAvailable

    public void waitInfoAvailable()

### setImageConsumerHints

    public void setImageConsumerHints(int hints)

### setFinished

    public void setFinished()

### setError

    public void setError()

### setDecodingController

    public void setDecodingController(JimiDecodingController controller)

### getWidth

    public int getWidth()

### getHeight

    public int getHeight()

### getColorModel

    public java.awt.image.ColorModel getColorModel()

### getRectangleRGB

    public void getRectangleRGB(int x,
                                int y,
                                int width,
                                int height,
                                int[] buffer,
                                int offset,
                                int scansize)
                         throws ImageAccessException

### getRowRGB

    public void getRowRGB(int y,
                          int[] buffer,
                          int offset)
                   throws ImageAccessException

### getPixelRGB

    public int getPixelRGB(int x,
                           int y)
                    throws ImageAccessException

### getChannelRectangle

    public void getChannelRectangle(int channel,
                                    int x,
                                    int y,
                                    int width,
                                    int height,
                                    byte[] buffer,
                                    int offset,
                                    int scansize)
                             throws ImageAccessException

### getRectangleRGBChannels

    public void getRectangleRGBChannels(int x,
                                        int y,
                                        int width,
                                        int height,
                                        byte[] buffer,
                                        int offset,
                                        int scansize)
                                 throws ImageAccessException

### getRectangleARGBChannels

    public void getRectangleARGBChannels(int x,
                                         int y,
                                         int width,
                                         int height,
                                         byte[] buffer,
                                         int offset,
                                         int scansize)
                                  throws ImageAccessException

### getRectangleRGBAChannels

    public void getRectangleRGBAChannels(int x,
                                         int y,
                                         int width,
                                         int height,
                                         byte[] buffer,
                                         int offset,
                                         int scansize)
                                  throws ImageAccessException

### setOptions

    public void setOptions(FormatOptionSet options)

### getOptions

    public FormatOptionSet getOptions()

### asIntArray

    public int[] asIntArray()

### asByteArray

    public byte[] asByteArray()

### setWaitForOptions

    public void setWaitForOptions(boolean wait)

### mustWaitForOptions

    public boolean mustWaitForOptions()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD